# Uses of Interface
java.awt.event.ItemListener

Packages that use ItemListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of ItemListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type ItemListener
Modifier and Type
Method
Description
`static void`
AWTEventMonitor.`addItemListener(ItemListener l)`
Adds the specified listener to receive all `ITEM` events on each component instance in the Java Virtual Machine when they occur.
`static void`
AWTEventMonitor.`removeItemListener(ItemListener l)`
Removes the specified listener so it no longer receives `ITEM` events when they occur.

## Uses of ItemListener in java.awt

Classes in java.awt that implement ItemListener
Modifier and Type
Class
Description
`class`
`AWTEventMulticaster`
`AWTEventMulticaster` implements efficient and thread-safe multi-cast event dispatching for the AWT events defined in the `java.awt.event` package.
`protected class`
`Checkbox.AccessibleAWTCheckbox`
This class implements accessibility support for the `Checkbox` class.
`protected class`
`List.AccessibleAWTList`
This class implements accessibility support for the `List` class.
Methods in java.awt that return ItemListener
Modifier and Type
Method
Description
`static ItemListener`
AWTEventMulticaster.`add(ItemListener a, ItemListener b)`
Adds item-listener-a with item-listener-b and returns the resulting multicast listener.
`ItemListener[]`
Checkbox.`getItemListeners()`
Returns an array of all the item listeners registered on this checkbox.
`ItemListener[]`
CheckboxMenuItem.`getItemListeners()`
Returns an array of all the item listeners registered on this checkbox menuitem.
`ItemListener[]`
Choice.`getItemListeners()`
Returns an array of all the item listeners registered on this choice.
`ItemListener[]`
List.`getItemListeners()`
Returns an array of all the item listeners registered on this list.
`static ItemListener`
AWTEventMulticaster.`remove(ItemListener l, ItemListener oldl)`
Removes the old item-listener from item-listener-l and returns the resulting multicast listener.
Methods in java.awt with parameters of type ItemListener
Modifier and Type
Method
Description
`static ItemListener`
AWTEventMulticaster.`add(ItemListener a, ItemListener b)`
Adds item-listener-a with item-listener-b and returns the resulting multicast listener.
`void`
Checkbox.`addItemListener(ItemListener l)`
Adds the specified item listener to receive item events from this check box.
`void`
CheckboxMenuItem.`addItemListener(ItemListener l)`
Adds the specified item listener to receive item events from this check box menu item.
`void`
Choice.`addItemListener(ItemListener l)`
Adds the specified item listener to receive item events from this `Choice` menu.
`void`
ItemSelectable.`addItemListener(ItemListener l)`
Adds a listener to receive item events when the state of an item is changed by the user.
`void`
List.`addItemListener(ItemListener l)`
Adds the specified item listener to receive item events from this list.
`static ItemListener`
AWTEventMulticaster.`remove(ItemListener l, ItemListener oldl)`
Removes the old item-listener from item-listener-l and returns the resulting multicast listener.
`void`
Checkbox.`removeItemListener(ItemListener l)`
Removes the specified item listener so that the item listener no longer receives item events from this check box.
`void`
CheckboxMenuItem.`removeItemListener(ItemListener l)`
Removes the specified item listener so that it no longer receives item events from this check box menu item.
`void`
Choice.`removeItemListener(ItemListener l)`
Removes the specified item listener so that it no longer receives item events from this `Choice` menu.
`void`
ItemSelectable.`removeItemListener(ItemListener l)`
Removes an item listener.
`void`
List.`removeItemListener(ItemListener l)`
Removes the specified item listener so that it no longer receives item events from this list.

## Uses of ItemListener in javax.swing

Classes in javax.swing that implement ItemListener
Modifier and Type
Class
Description
`protected class`
`DefaultCellEditor.EditorDelegate`
The protected `EditorDelegate` class.
`protected class`
`JCheckBox.AccessibleJCheckBox`
This class implements accessibility support for the `JCheckBox` class.
`protected class`
`JRadioButton.AccessibleJRadioButton`
This class implements accessibility support for the `JRadioButton` class.
`protected class`
`JToggleButton.AccessibleJToggleButton`
This class implements accessibility support for the `JToggleButton` class.
Fields in javax.swing declared as ItemListener
Modifier and Type
Field
Description
`protected ItemListener`
AbstractButton.`itemListener`
The button model's `ItemListener`.
Methods in javax.swing that return ItemListener
Modifier and Type
Method
Description
`protected ItemListener`
AbstractButton.`createItemListener()`
Returns `ItemListener` that is added to model.
`ItemListener[]`
AbstractButton.`getItemListeners()`
Returns an array of all the `ItemListener`s added to this AbstractButton with addItemListener().
`ItemListener[]`
DefaultButtonModel.`getItemListeners()`
Returns an array of all the item listeners registered on this `DefaultButtonModel`.
`ItemListener[]`
JComboBox.`getItemListeners()`
Returns an array of all the `ItemListener`s added to this JComboBox with addItemListener().
Methods in javax.swing with parameters of type ItemListener
Modifier and Type
Method
Description
`void`
AbstractButton.`addItemListener(ItemListener l)`
Adds an `ItemListener` to the `checkbox`.
`void`
ButtonModel.`addItemListener(ItemListener l)`
Adds an `ItemListener` to the model.
`void`
DefaultButtonModel.`addItemListener(ItemListener l)`
Adds an `ItemListener` to the model.
`void`
JComboBox.`addItemListener(ItemListener aListener)`
Adds an `ItemListener`.
`void`
AbstractButton.`removeItemListener(ItemListener l)`
Removes an `ItemListener` from the button.
`void`
ButtonModel.`removeItemListener(ItemListener l)`
Removes an `ItemListener` from the model.
`void`
DefaultButtonModel.`removeItemListener(ItemListener l)`
Removes an `ItemListener` from the model.
`void`
JComboBox.`removeItemListener(ItemListener aListener)`
Removes an `ItemListener`.

## Uses of ItemListener in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement ItemListener
Modifier and Type
Class
Description
`class`
`BasicComboBoxUI.ItemHandler`
This listener watches for changes to the selection in the combo box.
`protected class`
`BasicComboPopup.ItemHandler`
This listener watches for changes to the selection in the combo box.
Fields in javax.swing.plaf.basic declared as ItemListener
Modifier and Type
Field
Description
`protected ItemListener`
BasicComboBoxUI.`itemListener`
This protected field is implementation specific.
`protected ItemListener`
BasicComboPopup.`itemListener`
This protected field is implementation specific.
Methods in javax.swing.plaf.basic that return ItemListener
Modifier and Type
Method
Description
`protected ItemListener`
BasicComboBoxUI.`createItemListener()`
Creates an `ItemListener` which will be added to the combo box.
`protected ItemListener`
BasicComboPopup.`createItemListener()`
Creates an `ItemListener` which will be added to the combo box.